Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251154 - media-libs/osalp fails to build with gcc 4.3
Summary: media-libs/osalp fails to build with gcc 4.3
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-12-16 11:34 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-03-21 22:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (osalp-0.7.3:20081216-104858.log,23.68 KB, text/plain)
2008-12-16 11:34 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch for compilation with gcc-4.3 (osalp-0.7.3-gcc-4.3.patch,4.34 KB, patch)
2008-12-16 18:23 UTC, Bert Karwatzki
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-16 11:34:09 UTC
Check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-16 11:34:28 UTC
Created attachment 175462 [details]
Build log
Comment 2 Bert Karwatzki 2008-12-16 18:23:54 UTC
Created attachment 175499 [details, diff]
Patch for compilation with gcc-4.3

Linking still fails on amd64:
gcc -shared  aflibAifcFile.lo -Wl,--whole-archive ../audiofile-0.2.0/libaudiofile/.libs/libaudiofile.a -Wl,--no-whole-archive  ../audiofile-0.2.0/libaudiofile/.libs/libaudiofile.a -lm  -Wl,-soname -Wl,libaflibAifcFile-0.7.3.so -o .libs/libaflibAifcFile-0.7.3.so
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../x86_64-pc-linux-gnu/bin/ld: ../audiofile-0.2.0/libaudiofile/.libs/libaudiofile.a(openclose.o): relocation R_X86_64_32 against `a local symbol' can not be used when making a shared object; recompile with -fPIC
../audiofile-0.2.0/libaudiofile/.libs/libaudiofile.a(openclose.o): could not read symbols: Bad value
collect2: ld returned 1 exit status
make[3]: *** [libaflibAifcFile.la] Fehler 1
make[3]: Leaving directory `/home/bert/Programme/osalp-0.7.3/formatlib/aifc'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/home/bert/Programme/osalp-0.7.3/formatlib'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/home/bert/Programme/osalp-0.7.3'
make: *** [all] Fehler 2
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-29 15:04:20 UTC
09:01 < mpagano> Please consider osalp for cleaning
09:02 < mpagano> dead upstream, doesn't compile with gcc 4.3
09:02 < mpagano> file collisions with media-libs/audiofile

Looks like a good candidate for removal.
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-19 04:16:08 UTC
# Jeremy Olexa <darkside@gentoo.org> (19 Jan 2009)
# Removed by treecleaners in 60 days. Doesn't build with gcc-4.3, unmaintained
# upstream and in Gentoo, & file collisions with media-libs/audiofile 
# See bug 251154
media-libs/osalp
Comment 5 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-21 22:36:26 UTC
removed, wontfix